# Uses of Class
org.opensaml.soap.client.SOAPClientContext

Packages that use SOAPClientContext
Package
Description
org.opensaml.soap.client
SOAP client functionality.
org.opensaml.soap.client.http
SOAP HTTP client functionality.
org.opensaml.soap.client.messaging
SOAP HTTP client messaging functionality.

## Uses of SOAPClientContext in org.opensaml.soap.client

Methods in org.opensaml.soap.client that return SOAPClientContext
Modifier and Type
Method
Description
`SOAPClientContext`
SOAPClientContext.`setDestinationURI(String uri)`
Set the destination URI for the SOAP message being sent.
`SOAPClientContext`
SOAPClientContext.`setPipelineName(String name)`
Set the name of the specific SOAP client message pipeline to use, for example with `PipelineFactoryHttpSOAPClient`.
`SOAPClientContext`
SOAPClientContext.`setSOAPRequestParameters(SOAPClient.SOAPRequestParameters parameters)`
Sets a set of binding/transport-specific request parameters.

## Uses of SOAPClientContext in org.opensaml.soap.client.http

Fields in org.opensaml.soap.client.http with type parameters of type SOAPClientContext
Modifier and Type
Field
Description
`private Function<MessageContext,SOAPClientContext>`
HttpSOAPClient.`soapClientContextLookupStrategy`
Deprecated.
Strategy used to look up the `SOAPClientContext` associated with the outbound message context.
Methods in org.opensaml.soap.client.http that return types with arguments of type SOAPClientContext
Modifier and Type
Method
Description
`Function<MessageContext,SOAPClientContext>`
HttpSOAPClient.`getSOAPClientContextLookupStrategy()`
Deprecated.
Get the strategy used to look up the `SOAPClientContext` associated with the outbound message context.
Method parameters in org.opensaml.soap.client.http with type arguments of type SOAPClientContext
Modifier and Type
Method
Description
`void`
HttpSOAPClient.`setSOAPClientContextLookupStrategy(Function<MessageContext,SOAPClientContext> strategy)`
Deprecated.
Set the strategy used to look up the `SOAPClientContext` associated with the outbound message context.

## Uses of SOAPClientContext in org.opensaml.soap.client.messaging

Fields in org.opensaml.soap.client.messaging with type parameters of type SOAPClientContext
Modifier and Type
Field
Description
`private Function<MessageContext,SOAPClientContext>`
SOAPClientPipelineNameMappingFunction.`soapClientContextLookup`
Lookup strategy for the SOAP client context.
`private Function<MessageContext,SOAPClientContext>`
SOAPClientPipelineNameMappingPredicate.`soapClientContextLookup`
Lookup strategy for the SOAP client context.
Constructor parameters in org.opensaml.soap.client.messaging with type arguments of type SOAPClientContext
Modifier
Constructor
Description
``
`SOAPClientPipelineNameMappingFunction(Map<String,Function<MessageContext,T>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.
``
`SOAPClientPipelineNameMappingPredicate(Map<String,Predicate<MessageContext>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.